import { ElementRef, OnDestroy, OnInit, Renderer2, TemplateRef } from '@angular/core';
import { NgAppHelpService } from "./ng-app-help.service";
import { MatDialog } from "@angular/material/dialog";
export declare class NgAppHelpEnabledDirective implements OnInit, OnDestroy {
    private appHelpSvc;
    dialog: MatDialog;
    private renderer;
    private elementRef;
    highlightClass: string;
    helpTemplate: TemplateRef<any>;
    private sub;
    private timer;
    constructor(appHelpSvc: NgAppHelpService, dialog: MatDialog, renderer: Renderer2, elementRef: ElementRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onMouseOver(): void;
    onMouseOut(): void;
}
